#footer{
    width: 750px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 110px;
    background-color: #fff;
    padding: 0 30px;
    box-shadow: 0 -3px 10px 2px rgba(221, 216, 216, 0.4);
    position: fixed;
    left: calc(50% - 375px);
    bottom: 0;
    z-index: 99;
}
#footer .text-box{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    height: 72px;
    font-size: 22px;
    color: #333333;
    width: 64px;
}
#footer button{
    width: 438px;
    height: 80px;
    line-height: 80px;
    border-radius: 50px;
    color: #fff;
    font-size: 30px;
    font-weight: bold;
    background-color: #F65B57;
}
#footer .icon1{
    width: 42px;
    height: 36px;
}
#footer .icon2{
    width: 38px;
    height: 38px;
}
@media screen and (max-width: 750px) {
    #footer{
        width: 100%;
        height: 3.666667rem;
        padding: 0 1rem;
        box-shadow: 0 -0.166667rem 0.333333rem 0.166667rem rgba(221, 216, 216, 0.4);
        left: 0;
    }
    #footer .text-box{
        height: 2.4rem;
        font-size: 0.733333rem;
        width: 2.133333rem;
    }
    #footer button{
        width: 14.6rem;
        height: 2.666667rem;
        line-height: 2.666667rem;
        border-radius: 1.666667rem;
        font-size: 1rem;
    }
    #footer .icon1{
        width: 1.4rem;
        height: 1.2rem;
    }
    #footer .icon2{
        width: 1.266667rem;
        height: 1.266667rem;
    }
}